.#{$namespace}-checkbox,
.#{$namespace}-radio
  display: inline-flex
  align-items: center
  line-height: 1.25
  min-height: 2.25rem
  position: relative
  input
    cursor: pointer
    visibility: hidden
    display: none

    & + label
      cursor: pointer
      // font-weight: $weight-bold
      color: $blue-grey
      position: relative
      margin: 0 1.5rem 0 1.75rem
      &:before, &:after
        box-sizing: border-box
        content: ''
        position: absolute
        transition: $speed $easing
      &:before
        left: -1.75rem
        width: 1.25rem
        height: 1.25rem
        border: 2px solid rgba($blue-grey,.5)
      &:after
        border: 0px solid white
        border-width: 0 0 0 0

    &:disabled
      & + label
        // color: rgba($blue-grey, .5)
        opacity: .5
        cursor: not-allowed
        
  &.is-toggle
    label
      display: flex
      align-items: center
      padding-left: 0
      padding-right: 3.75rem
      margin: .25rem
      margin-right: 1rem
      height: 1.75rem
      position: relative

      &:before, &:after
        position: absolute
        left: auto

      &:before
        width: 3rem
        height: 1.75rem
        top: 0
        right: 0
        bottom: 0
        background-color: rgba(0,0,0,.2)
        border-radius: 1.125rem
        border-width: 0
      
      &:after
        height: 1.5rem
        width: 1.5rem
        top: 50%
        transform: translate(-1.25rem, -50%)
        border-radius: 2rem
        right: .125rem
        background-color: #fff

    input
      &:checked
        & + label
          &:before
            // background-color: nth($blue-grey-lighten,1)
            background-color: $blue-grey
            border-width: 0
          &:after
            transform: translate(0, -50%)

  &.is-success
    input
      &:checked
        &+label
          &:before
            background-color: nth($success-lighten, 1)
  &.is-info
    input
      &:checked
        &+label
          &:before
            background-color: nth($sky-lighten, 1)
  &.is-warning
    input
      &:checked
        &+label
          &:before
            background-color: nth($tangerine-lighten, 1)
  &.is-danger
    input
      &:checked
        &+label
          &:before
            background-color: nth($red-lighten, 1)

  &.is-block
    text-indent: 1.75rem
    label
      margin-left: 0

.#{$namespace}-checkbox
  input
    &:checked
      & + label
        &:before
          border: 10px solid $blue-grey
        &:after
          border: 2px solid white
          border-width: 0 0 2px 2px

    & + label
      &:before
        border-radius: .25rem
      &:after
        width: .75rem
        height: .35rem
        left: -1.5rem
        top: .35rem
        transform: rotate(-45deg)

.#{$namespace}-radio
  input
    &:checked
      & + label
        &:before,
        &:after
          background-color: $blue-grey

    & + label
      &:before
        border-radius: 50%
      &:after
        top: .25rem
        left: -1.5rem
        width: .75rem
        height: .75rem
        border-radius: 50%
        border: none
      &:hover
        &:before
          box-shadow: 0 0 0 1px rgba($blue-grey, .1), 0 0 0 4px rgba($blue-grey, .1)

.#{$namespace}-radio-group, .#{$namespace}-checkbox-group

  &.is-stacked
    .#{$namespace}
      &-radio, &-checkbox
        display: flex
        min-height: 1.75em

  &.#{$namespace}-buttons
    display: flex

    .#{$namespace}-button
      border-radius: .25rem

    &.is-fullwidth
      .#{$namespace}-radio, .#{$namespace}-checkbox
        flex: 1

    // Rounded
    &.is-rounded
      .#{$namespace}-radio, .#{$namespace}-checkbox
        input
          & + .#{$namespace}-button
            &:before
              content: ''
              top: 0
              left: 0
              width: 100%
              height: 100%
              border: none
              border-radius: $radius-rounded
              // background-color: black
          &:checked
            & + .#{$namespace}-button
              background-color: $blue-grey
        &:not(:last-child)
          input
            & + .#{$namespace}-button
              border-top-right-radius: 0 !important
              border-bottom-right-radius: 0 !important
        &:first-child
          input
            & + .#{$namespace}-button
              border-top-left-radius: $radius-rounded !important
              border-bottom-left-radius: $radius-rounded !important

      .#{$namespace}-checkbox
        &:not(:first-child)
          input + .#{$namespace}-button
            &:before
              border-top-left-radius: 0 !important
              border-bottom-left-radius: 0 !important
        &:not(:last-child)
          input + .#{$namespace}-button
            &:before
              border-top-right-radius: 0 !important
              border-bottom-right-radius: 0 !important

    .#{$namespace}-radio, .#{$namespace}-checkbox
      display: inline-flex

      input:disabled
        & + .#{$namespace}-button
          &:hover
            &:before
              content: none

      &:not(:first-child)
        .#{$namespace}-button
          border-top-left-radius: 0
          border-bottom-left-radius: 0
          border-left-color: transparent

      &:not(:last-child)
        .#{$namespace}-button
          border-top-right-radius: 0
          border-bottom-right-radius: 0
          // border-right: none

      .#{$namespace}-button
        margin: 0

        &:before, &:after
          content: none

        &:hover
          // box-shadow: 0 0 0 1px rgba($blue-grey, .1), 0 0 0 4px rgba($blue-grey,.1)
          z-index: 1
          &:before, &:after
            content: none

        &.is-inverted
          &:hover
            border-radius: $radius

      input
        &:checked
          & + .#{$namespace}-button
            background-color: $blue-grey
            color: white
            // box-shadow: 0 0 0 1px rgba($blue-grey, .1), 0 0 0 4px rgba($blue-grey, .1)
            // z-index: 2
            &:hover
              border-color: rgba($blue-grey, .25)

            &.is-success
              background-color: $success
              // box-shadow: 0 0 0 1px rgba($success,.1), 0 0 0 4px rgba($success, .1)
            &.is-info
              background-color: $info
              // box-shadow: 0 0 0 1px rgba($info, .1), 0 0 0 4px rgba($info, .1)
            &.is-warning
              background-color: $warning
              // box-shadow: 0 0 0 1px rgba($warning, .1), 0 0 0 4px rgba($warning, .1)
            &.is-danger
              background-color: $danger
              // box-shadow: 0 0 0 1px rgba($danger, .1), 0 0 0 4px rgba($danger, .1)

    .#{$namespace}-checkbox
      input
        &:checked
          & + label
            box-shadow: none !important
            
      &:not(:first-child)
        input
          &:checked
            & + label
              border-left: 1px solid rgba(white, .1)
              
      &:not(:first-child)
        input
          &:checked
            & + label
              &.is-inverted
                border-top-left-radius: 0
                border-bottom-left-radius: 0
                
      &:not(:last-child)
        input
          &:checked
            & + label
              &.is-inverted
                border-top-right-radius: 0
                border-bottom-right-radius: 0